summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-12-02 05:02:53 +1100
committerMichael Palimaka <kensington@gentoo.org>2017-10-08 12:46:23 +1100
commit94f2b4eba3289fc2bebcd90260767a5e3b493d3f (patch)
treebb80b92a215784deb5ca0167e15dbed9b3dfac97 /eclass
parentqt5-build.eclass: introduce qt_use_disable_config (diff)
downloadgentoo-94f2b4eba3289fc2bebcd90260767a5e3b493d3f.tar.gz
gentoo-94f2b4eba3289fc2bebcd90260767a5e3b493d3f.tar.bz2
gentoo-94f2b4eba3289fc2bebcd90260767a5e3b493d3f.zip
qt5-build.eclass: fix avoiding qmake recompilation for Qt 5.8 and later
See qtbase commit 4ce0beee1b69a8695fc24a244a8a3053711906ac.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index a627ce882a49..62c79d096285 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -172,8 +172,14 @@ qt5-build_src_prepare() {
qt5_symlink_tools_to_build_dir
# Avoid unnecessary qmake recompilations
- sed -i -re "s|^if true;.*(\[ '\!').*(\"\\\$outpath/bin/qmake\".*)|if \1 -e \2 then|" \
- configure || die "sed failed (skip qmake bootstrap)"
+ if [[ ${QT5_MINOR_VERSION} -ge 8 ]]; then
+ sed -i -e "/Creating qmake/i if [ '!' -e \"\$outpath/bin/qmake\" ]; then" \
+ -e '/echo "Done."/a fi' \
+ configure || die "sed failed (skip qmake bootstrap)"
+ else
+ sed -i -re "s|^if true;.*(\[ '\!').*(\"\\\$outpath/bin/qmake\".*)|if \1 -e \2 then|" \
+ configure || die "sed failed (skip qmake bootstrap)"
+ fi
# Respect CC, CXX, *FLAGS, MAKEOPTS and EXTRA_EMAKE when bootstrapping qmake
sed -i -e "/outpath\/qmake\".*\"\$MAKE\")/ s:): \